Extending Qt Creator Manual | LocalEnvironmentAspect

Extending Qt Creator Manual 4.4.0

# LocalEnvironmentAspect Class

(ProjectExplorer::LocalEnvironmentAspect)

Inherits: | ProjectExplorer::EnvironmentAspect

- List of all members, including inherited members

## Public Types

typedef | BaseEnvironmentModifier

## Public Functions

| LocalEnvironmentAspect(RunConfiguration *parent, const BaseEnvironmentModifier &modifier)
void | buildEnvironmentHasChanged()

## Reimplemented Public Functions

virtual Utils::Environment | baseEnvironment() const override
virtual QString | baseEnvironmentDisplayName(int base) const override
virtual LocalEnvironmentAspect * | create(RunConfiguration *parent) const override
virtual QList<int> | possibleBaseEnvironments() const override

- 8 public functions inherited from ProjectExplorer::EnvironmentAspect
- 17 public functions inherited from ProjectExplorer::IRunConfigurationAspect

### Additional Inherited Members

- 3 signals inherited from ProjectExplorer::EnvironmentAspect
- 2 protected functions inherited from ProjectExplorer::EnvironmentAspect
- 2 protected functions inherited from ProjectExplorer::IRunConfigurationAspect

## Member Type Documentation

### typedef LocalEnvironmentAspect::BaseEnvironmentModifier

## Member Function Documentation

### LocalEnvironmentAspect::LocalEnvironmentAspect(RunConfiguration *parent, const BaseEnvironmentModifier &modifier)

Default constructs an instance of LocalEnvironmentAspect.

### `[override virtual]` Utils::Environment LocalEnvironmentAspect::baseEnvironment() const

### `[override virtual]` QString LocalEnvironmentAspect::baseEnvironmentDisplayName(int base) const

### void LocalEnvironmentAspect::buildEnvironmentHasChanged()

### `[override virtual]` LocalEnvironmentAspect *LocalEnvironmentAspect::create(RunConfiguration *parent) const

### `[override virtual]` QList<int> LocalEnvironmentAspect::possibleBaseEnvironments() const